Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.ui.decorator
Class EMFStoreDirtyObserver

    java.lang.Object
      org.eclipse.emf.ecp.emfstore.internal.ui.decorator.EMFStoreDirtyObserver

All Implemented Interfaces:
  org.eclipse.emf.emfstore.common.ESObserver, org.eclipse.emf.emfstore.internal.client.observers.OperationObserver

    public class EMFStoreDirtyObserver

extends Object
implements org.eclipse.emf.emfstore.internal.client.observers.OperationObserver

Project change observer that marks elements as dirty.

Author:
  Tobias Verhoeven

Constructor Summary
`EMFStoreDirtyObserver(org.eclipse.emf.emfstore.internal.client.model.ProjectSpace projectSpace, InternalProject project)` Default constructor.

Method Summary
`void` | `clearObserverCache()` Clears the cache of deleted elements and resets the operation count to 0.
`Set<org.eclipse.emf.ecore.EObject>` | `getLastAffected()` The Collection of `EObject` that were affected during last operation.
`boolean` | `isDirty()` Returns weather the observed projectSpac is dirty.
`void` | `operationExecuted(org.eclipse.emf.emfstore.internal.server.model.versioning.operations.AbstractOperation operation)`
`void` | `operationUndone(org.eclipse.emf.emfstore.internal.server.model.versioning.operations.AbstractOperation operation)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFStoreDirtyObserver

    public EMFStoreDirtyObserver(org.eclipse.emf.emfstore.internal.client.model.ProjectSpace projectSpace,
                                 InternalProject project)

  Default constructor.

  Parameters:
    `projectSpace` - the ProjectSpace of the decorator
    `project` - the ecpproject of the decorator

Method Detail

### operationExecuted

    public void operationExecuted(org.eclipse.emf.emfstore.internal.server.model.versioning.operations.AbstractOperation operation)

  Specified by:
    `operationExecuted` in interface `org.eclipse.emf.emfstore.internal.client.observers.OperationObserver`

### operationUndone

    public void operationUndone(org.eclipse.emf.emfstore.internal.server.model.versioning.operations.AbstractOperation operation)

  Specified by:
    `operationUndone` in interface `org.eclipse.emf.emfstore.internal.client.observers.OperationObserver`

### getLastAffected

    public Set<org.eclipse.emf.ecore.EObject> getLastAffected()

  The Collection of `EObject` that were affected during last operation.

  Returns:
    a `Set` of `EObject` affected or null if none

### clearObserverCache

    public void clearObserverCache()

  Clears the cache of deleted elements and resets the operation count to 0.

### isDirty

    public boolean isDirty()

  Returns weather the observed projectSpac is dirty.

  Returns:
    true, if is dirty.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.